with Ada.Text_IO;
use Ada.Text_IO;

pragma Elaborate_All (Ada.Text_IO);

package Reps.IO is

  procedure Txt_Get(F: in File_Type; R: out Rep; Decimal: in Boolean := True);
  procedure Txt_Get(F: in File_Type; Fac: in Rep; R1,R2: out Rep; Decimal: in Boolean := True);
  procedure Txt_Put(F: in File_Type; R: in Rep; Decimal: in Boolean := True);
  procedure Txt_Put(F: in File_Type; Fac,R1,R2: in Rep; Decimal: in Boolean := True);

private

  function Val(S: String) return Rep;        -- convert Hex String to Rep
  function HexStr(I: Integer) return String; -- convert Integer to Hex String
  function HexStr(R: Rep) return String;     -- convert Rep to Hex String

end Reps.IO;
